<set_cookie> |

`<set_cookie>` is defined in the Main RXML parser module. Sets a cookie that will be stored by the user's browser. This is a simple and effective way of storing data that is local to the user. The cookie will be persistent, the next time the user visits the site, she will bring the cookie with her.

Attributes |
name, value, persistent, hours, minutes, seconds, days, weeks, months, years,

Attributes

`name`=string
  The name of the cookie.

`value`=string
  The value the cookie will be set to.

`persistent`

  Keep the cookie for two years.

`hours`=number
  Add this number of hours to the time the cookie is kept.

`minutes`=number
  Add this number of minutes to the time the cookie is kept.

`seconds`=number
  Add this number of seconds to the time the cookie is kept.

`days`=number
  Add this number of days to the time the cookie is kept.

`weeks`=number
  Add this number of weeks to the time the cookie is kept.

`months`=number
  Add this number of months to the time the cookie is kept.

`years`=number
  Add this number of years to the time the cookie is kept.

It is not possible to set the date beyond year 2038. By default the cookie will be kept until the year 2038.

Note that the change of a cookie will not take effect until the next page load. Therefore, a reload will be needed to see the effect of the example.

Example

source code

    <apre foo>Set the cookie</apre>

    <apre -foo>Remove the cookie</apre>

    <else></else>

    "=> >

result | <apre foo>Set the cookie</apre> <apre -foo>Remove the cookie</apre> <else></else>